# Generated by Django 3.1.7 on 2021-03-08 18:55

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Drug',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128, verbose_name='name')),
                ('description', models.CharField(max_length=128, verbose_name='description')),
            ],
        ),
        migrations.CreateModel(
            name='DrugCategory',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128, verbose_name='name')),
                ('description', models.CharField(max_length=128, verbose_name='description')),
            ],
        ),
        migrations.CreateModel(
            name='Pharmacy',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128, verbose_name='name')),
                ('address', models.CharField(max_length=128, verbose_name='address')),
                ('city', models.CharField(max_length=128, verbose_name='city')),
                ('zipcode', models.CharField(max_length=11, verbose_name='zipcode')),
                ('state', models.CharField(max_length=128, verbose_name='state')),
                ('available_drugs', models.ManyToManyField(to='prescriptions.Drug')),
            ],
        ),
        migrations.AddField(
            model_name='drug',
            name='categories',
            field=models.ManyToManyField(related_name='categorized_drugs', to='prescriptions.DrugCategory'),
        ),
        migrations.CreateModel(
            name='Booking',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('description', models.CharField(max_length=128)),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='modified')),
                ('drugs', models.ManyToManyField(related_name='drugs_bookings', to='prescriptions.Drug')),
                ('patient', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='ordered_bookings', to=settings.AUTH_USER_MODEL)),
                ('pharmacy', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='bookings', to='prescriptions.pharmacy')),
            ],
        ),
    ]
